#!/usr/bin/perl

###############################################################################
#
#	Copyright (C) 2003 Oy Realnode Ab
#
#	This program is free software; you can redistribute it and/or
#	modify it under the terms of the GNU General Public License
#	as published by the Free Software Foundation; either version 2
#	of the License, or (at your option) any later version.
#
#	This program is distributed in the hope that it will be useful,
#	but WITHOUT ANY WARRANTY; without even the implied warranty of
#	MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#	GNU General Public License for more details.
#
#	You should have received a copy of the GNU General Public License
#	along with this program; if not, write to the Free Software
#	Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
#
################################################################################
#
#   $Id: read_Lint.pl,v 1.1.2.1 2003/11/29 12:10:34 lanttis Exp $
#
#   Description:		Main library of MARC manipulation and writing of Emilda.
#						This is, to be implemented in PHP when libraries are
#						to be available if not Emilda is ported to mod_perl.
#
#####
#
#####
#
#   Libraries:			
#
#   Global Consts:  	$save, $path, $here, $lines, @lines
#
###############################################################################

# Check if we got a the file to save to as argument
if (!$ARGV[0]){
	die ("Give path where to save MARC rules.\n\n");
} else {
	$save = $ARGV[0];
}

# Check if the given file already exists and exit in that case
if (-e $save) {
	die ("File \"$save\" already exists. Please remove and run again!.\n\n");
}

# Foreach @INC to find where Lint.pm could be located
foreach(@INC) {
	if(-e "$_/MARC/Lint.pm") {
		$path = "$_/MARC/Lint.pm";
		break;
	} # if
} # foreach

# Open Lint.pm for reading
open LINT, "<$path" or die "Cannot open Lint.pm ($path): $!\n\n";
$here=0;

# Read until EOF
while ( chomp(my $lines = <LINT> )) {
	if($here) {
		push @lines, $lines;
	} # if
	
	# If the line containgin __DATA__ has been passed,
	# start remembering rules.
	if ($lines eq '__DATA__') {
		$here=1;
	} # if
} # while

# Open output file for writing
open OUT, ">$save" or die "Cannot open \"$save\": $!\n\n";
print OUT join("\n", @lines)."\n";
close OUT;

# End with nice message
print "Successfully saved MARC rules into \"$save\"\n\n";
